--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(285,519)
local Effect_21=CppScriptMgr:AddEffect("FF07",285,517,33)
local Effect_22=CppScriptMgr:AddEffect("FF18",287,515,33)
local Player_1=CppScriptMgr:AddSimplePlayer(1065280,285,508,"",0,0)
Player_1:SetHide(1)
local Player_13=CppScriptMgr:AddSimplePlayer(1065280,285,517,"",0,0)
Player_13:SetAction(190)
Player_1:SetZoomPercent(150)
local Player_2=CppScriptMgr:AddSimplePlayer(1050374,283,520,"",0,0)
Player_2:SetDir(4)
Player_2:SetAction(10)
local Player_3=CppScriptMgr:AddSimplePlayer(1050374,283,522,"",0,0)
Player_3:SetDir(4)
Player_3:SetAction(10)
local Player_4=CppScriptMgr:AddSimplePlayer(1050374,283,524,"",0,0)
Player_4:SetDir(4)
Player_4:SetAction(10)
local Player_5=CppScriptMgr:AddSimplePlayer(1062914,287,520,"",0,0)
Player_5:SetDir(4)
Player_5:SetAction(10)
local Player_6=CppScriptMgr:AddSimplePlayer(1062914,287,522,"",0,0)
Player_6:SetDir(4)
Player_6:SetAction(10)
local Player_7=CppScriptMgr:AddSimplePlayer(1062914,287,524,"",0,0)
Player_7:SetDir(4)
Player_7:SetAction(10)
local Player_14=CppScriptMgr:AddSimplePlayer(1059340,135,307,"",0,0)
local Player_15=CppScriptMgr:AddSimplePlayer(1059400,137,305,"",0,0)
local Player_17=CppScriptMgr:AddSimplePlayer(1060660,311,184,"",0,0)
Player_17:SetDir(1)
local Player_8=CppScriptMgr:AddPlayer(191,157,218,"",0,0)
Player_8:SetDir(7)
local Player_16=CppScriptMgr:AddPlayer(156,159,216,"",0,0)
Player_16:SetDir(7)
local Player_18=CppScriptMgr:AddPlayer(210,155,220,"",0,0)
Player_18:SetDir(7)
local Player_20=CppScriptMgr:AddPlayer(193,153,222,"",0,0)
Player_20:SetDir(7)
local Player_21=CppScriptMgr:AddPlayer(194,161,214,"",0,0)
Player_21:SetDir(7)
local Player_19=CppScriptMgr:AddSimplePlayer(1050374,240,243,"",0,0)
Player_19:AddEffect("gaoji_bingxue",33)
Player_19:SetDir(0)
local Player_22=CppScriptMgr:AddSimplePlayer(1050374,234,233,"",0,0)
Player_22:AddEffect("gaoji_bingxue",33)
Player_22:SetDir(0)
local Player_25=CppScriptMgr:AddSimplePlayer(1054567,132,301,"",0,0)
local Player_26=CppScriptMgr:AddSimplePlayer(1054567,131,306,"",0,0)
local Player_27=CppScriptMgr:AddSimplePlayer(1054567,133,308,"",0,0)
local Player_28=CppScriptMgr:AddSimplePlayer(1054587,137,308,"",0,0)
local Player_29=CppScriptMgr:AddSimplePlayer(1054607,139,302,"",0,0)
local Player_30=CppScriptMgr:AddSimplePlayer(1054627,141,307,"",0,0)
local Player_31=CppScriptMgr:AddSimplePlayer(1054647,133,299,"",0,0)
local Player_32=CppScriptMgr:AddSimplePlayer(1060885,139,310,"",0,0)
local Player_33=CppScriptMgr:AddSimplePlayer(1050375,133,314,"",0,0)
local Player_34=CppScriptMgr:AddSimplePlayer(1050375,133,318,"",0,0)
local Player_35=CppScriptMgr:AddSimplePlayer(1050375,137,322,"",0,0)
local Player_36=CppScriptMgr:AddSimplePlayer(1050375,143,314,"",0,0)
local Player_37=CppScriptMgr:AddSimplePlayer(1050375,147,306,"",0,0)
local Player_38=CppScriptMgr:AddSimplePlayer(1050375,143,302,"",0,0)
local Player_39=CppScriptMgr:AddSimplePlayer(1050375,143,306,"",0,0)
local Player_40=CppScriptMgr:AddSimplePlayer(1050375,143,312,"",0,0)
local Player_23=CppScriptMgr:AddSimplePlayer(1050375,259,397,"",0,0)
Player_23:SetMount(200412)
Player_23:SetFrameInterval(20)
local Player_24=CppScriptMgr:AddSimplePlayer(1059345,263,402,"",0,0)
Player_24:SetFrameInterval(20)
Player_24:SetMount(200412)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("The annual Summer Sports Games are coming!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_1:Say("The annual Summer Sports Games are coming!",1000)
local Effect_1=CppScriptMgr:AddEffect("FF07",285,517,33)
local Effect_2=CppScriptMgr:AddEffect("FF18",287,512,33)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Only by getting the 5-ring medal symbolizing strength, courage, speed, wisdom and persistence can you be the best hero in Twin City!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_1:Say("Only by getting the 5-ring medal symbolizing strength, courage, speed, wisdom and persistence can you be the best hero in Twin City!",1000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Heroes in Twin City! Go for the Gold Medal!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_1:Say("Heroes in Twin City! Go for the Gold Medal!",1000)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(180)
Player_3:SetAction(180)
Player_4:SetAction(180)
Player_5:SetAction(180)
Player_6:SetAction(180)
Player_7:SetAction(180)
CppScriptMgr:NpcCallOut("Go! Pet Gymnastics!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc28985",150,430,"Samia",250,655)
Player_7:Say("Go! Pet Gymnastics!",1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Five Rings shine brightly!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcPirateGirl",150,430,"Deasy",250,655)
Player_6:Say("Five Rings shine brightly!",1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Speed is the key!",1500,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc2149",150,430,"Borg",250,655)
Player_4:Say("Speed is the key!",1000)
CppScriptMgr:WaitMilSec(1500)
Player_4:SetPos(257,403)
Player_4:SetFrameInterval(20)
Player_4:SetDir(5)
Player_4:SetMount(200563)
CppScriptMgr:SetViewPosByCell(237,412)
Player_24:SetCtrlMapView(1)
CppScriptMgr:NpcCallOut("You must get to the field 5 minutes before the Horse Racing starts. Within 5 minutes, the competition will start when it reaches 10 heroes. If there are less than 10 heroes (at least 1 hero), the competition will start when the 5-minute countdown ends.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
CppScriptMgr:NpcCallOut("There are speed-up buffs on the way. Just rush to the finish line as fast as you can!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_4:RunTo(287,373)
Player_23:RunTo(289,367)
Player_24:RunTo(293,372)
Player_4:Say("Persistence is victory!",2000)
Player_23:Say("I`m a champion!",2000)
CppScriptMgr:WaitMilSec(5000)
Player_24:SetCtrlMapView(0)
CppScriptMgr:SetViewPosByCell(210,126)
CppScriptMgr:NpcCallOut("In the Pet Gymnastics, you must step on the square that matches the pet you`ve transformed into, otherwise, you`ll be sent to a random empty square.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_2:SetPos(210,134)
Player_3:SetPos(214,130)
Player_5:SetPos(212,132)
Player_6:SetPos(216,128)
local Effect_3=CppScriptMgr:AddEffect("forceaura_01",207,127,33)
local Effect_4=CppScriptMgr:AddEffect("music-purple",212,128,100000)
local Effect_5=CppScriptMgr:AddEffect("forceaura_01",211,124,33)
local Effect_6=CppScriptMgr:AddEffect("music-blue",204,127,33)
local Effect_17=CppScriptMgr:AddEffect("gam_acc",210,122,1000000)
local Effect_16=CppScriptMgr:AddEffect("music-purple",215,123,33)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("You`ve got 3 minutes. Be the first one to reach the goal or get the highest score when the competition ends!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
CppScriptMgr:WaitMilSec(2000)
local Effect_7=CppScriptMgr:AddEffect("newzf2-e280",210,134,33)
local Effect_8=CppScriptMgr:AddEffect("newzf2-e280",212,132,33)
Player_2:SetHide(1)
Player_5:SetHide(1)
local Player_9=CppScriptMgr:AddPlayer(287,210,134,"",0,0)
local Player_10=CppScriptMgr:AddPlayer(296,212,132,"",0,0)
CppScriptMgr:WaitMilSec(1000)
Player_9:JumpTo(207,127)
Player_10:JumpTo(212,128)
CppScriptMgr:WaitMilSec(1000)
local Effect_36=CppScriptMgr:AddEffect("ssch_wlhd_hit",207,127,33)
local Effect_37=CppScriptMgr:AddEffect("ssch_wlhd_hit",212,128,33)
Player_9:SetDir(7)
Player_10:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
Player_9:Say("Oops... wrong choice!",1000)
CppScriptMgr:WaitMilSec(1000)
Player_6:Say("Look at us!",1000)
CppScriptMgr:WaitMilSec(1000)
local Effect_9=CppScriptMgr:AddEffect("newzf2-e280",214,130,33)
local Effect_10=CppScriptMgr:AddEffect("newzf2-e280",216,128,33)
Player_3:SetHide(1)
Player_6:SetHide(1)
local Player_11=CppScriptMgr:AddPlayer(412,214,130,"",0,0)
local Player_12=CppScriptMgr:AddPlayer(415,216,128,"",0,0)
CppScriptMgr:WaitMilSec(1000)
Player_11:JumpTo(211,124)
Player_12:JumpTo(204,127)
CppScriptMgr:WaitMilSec(1000)
Player_11:SetDir(7)
Player_12:SetDir(7)
local Effect_15=CppScriptMgr:AddEffect("LevelUp",207,127,33)
local Effect_18=CppScriptMgr:AddEffect("LevelUp",212,128,33)
local Effect_19=CppScriptMgr:AddEffect("LevelUp",211,124,33)
local Effect_20=CppScriptMgr:AddEffect("LevelUp",204,127,33)
CppScriptMgr:WaitMilSec(1000)
Player_9:Say("Pet Gymnastics keep you strong and healthy!",1000)
Player_10:Say("Pet Gymnastics keep you strong and healthy!",1000)
Player_11:Say("Pet Gymnastics keep you strong and healthy!",1000)
Player_12:Say("Pet Gymnastics keep you strong and healthy!",1000)
CppScriptMgr:WaitMilSec(1000)
Player_6:SetZoomPercent(150)
Player_6:SetHide(0)
Player_6:SetPos(161,221)
CppScriptMgr:SetViewPosByCell(157,217)
Player_6:SetDir(3)
CppScriptMgr:NpcCallOut("Get the ring charged by killing monsters with the same color.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_6:SetAction(401)
local Effect_23=CppScriptMgr:AddEffect("jsb_skyg_att",159,216,33)
local Effect_24=CppScriptMgr:AddEffect("jsb_skyg_att",155,220,33)
local Effect_25=CppScriptMgr:AddEffect("jsb_skyg_att",153,222,33)
local Effect_26=CppScriptMgr:AddEffect("jsb_skyg_att",161,214,33)
local Effect_27=CppScriptMgr:AddEffect("jsb_skyg_att",157,218,33)
CppScriptMgr:WaitMilSec(1500)
Player_8:SetAction(330)
Player_16:SetAction(330)
Player_18:SetAction(330)
Player_20:SetAction(330)
Player_21:SetAction(330)
CppScriptMgr:WaitMilSec(1500)
Player_8:SetHide(1)
Player_16:SetHide(1)
Player_18:SetHide(1)
Player_20:SetHide(1)
Player_21:SetHide(1)
local Effect_28=CppScriptMgr:AddEffect("blessing_Get",157,218,33)
local Effect_29=CppScriptMgr:AddEffect("blessing_Get",159,216,33)
local Effect_30=CppScriptMgr:AddEffect("blessing_Get",155,220,33)
local Effect_31=CppScriptMgr:AddEffect("blessing_Get",153,222,33)
local Effect_32=CppScriptMgr:AddEffect("blessing_Get",161,214,33)
CppScriptMgr:WaitMilSec(1500)
Player_6:SetDir(7)
Player_6:SetAction(101)
Player_6:Say("My 5 rings are all fully charged and lighted!",2000)
CppScriptMgr:WaitMilSec(2000)
Player_6:SetAction(101)
Player_6:Say("Time to claim rewards from Deasy!",2000)
CppScriptMgr:WaitMilSec(2000)
MoveView(156,222,132,302,3,33,1500)
CppScriptMgr:NpcCallOut("Come on, move your body and win cheerleading rewards!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_14:SetAction(13)
Player_15:SetAction(13)
Player_25:SetAction(13)
Player_26:SetAction(13)
Player_27:SetAction(13)
Player_28:SetAction(13)
Player_29:SetAction(13)
Player_30:SetAction(13)
Player_31:SetAction(13)
Player_32:SetAction(13)
Player_33:SetAction(13)
Player_34:SetAction(13)
Player_35:SetAction(13)
Player_36:SetAction(13)
Player_37:SetAction(13)
Player_38:SetAction(13)
Player_39:SetAction(13)
Player_40:SetAction(13)
CppScriptMgr:WaitMilSec(3000)
Player_7:SetPos(308,184)
Player_7:SetDir(6)
MoveView(132,302,310,185,3,33,1500)
CppScriptMgr:NpcCallOut("We`ve got some energy boxes here on sale! Don`t miss out!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
Player_7:SetAction(190)
Player_7:Say("The price is really nice!",2000)
Player_17:SetAction(190)
Player_17:Say("Buy more, earn more!",1000)
CppScriptMgr:WaitMilSec(2000)
MoveView(310,185,238,241,3,33,1500)
local Effect_33=CppScriptMgr:AddEffect("NEW-flower-smallrain",238,241,33)
CppScriptMgr:NpcCallOut("Step on the podium and bring your glory home!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
local Effect_34=CppScriptMgr:AddEffect("dgbos_addr",240,243,33)
local Effect_35=CppScriptMgr:AddEffect("dgbos_addr",234,233,33)
Player_19:SetAction(190)
Player_22:SetAction(190)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(285,508)
Player_1:SetHide(0)
Player_13:SetHide(1)
local Effect_11=CppScriptMgr:AddEffect("Carrygold_lev5",290,515,33)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("The winner will have a chance to get a big prize!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc356962",150,430,"Host",250,655)
CppScriptMgr:ClearEffect(Effect_11)
local Effect_12=CppScriptMgr:AddEffect("newzf2-e280",285,510,33)
local Effect_13=CppScriptMgr:AddEffect("Dice1",285,510,33)
Effect_13:Scale(1.5,1.5,1.5)
local Effect_14=CppScriptMgr:AddEffect("RedFall",285,510,33)
CppScriptMgr:WaitMilSec(3000)

